from doi import doi_parser
from zbl import zbl_parser
from mr import mr_parser

def parser(query):
    doi_identifier = doi_parser.parser(query)
    zbl_identifier = zbl_parser.parser(query)
    mr_identifier = mr_parser.parser(query)

    return doi_identifier | zbl_identifier | mr_identifier
